# KigoKasa Api for WooCommerce

**Contributors**: dpotocic  
**Tags**: woocommerce, woo, croatian fiscalization, fiscalization, fiskalizacija, api, kigokasa, kigokasa api, shop, payments  
**Requires at least**: 4.4  
**Requires PHP**: 5.6  
**Tested up to**: 6.2.2  
**Stable tag**: 1.2.5  
**WC requires at least**: 3.0.0  
**WC tested up to**: 7.7.0  
**License**: GPLv2 or later  
**License URI**: http://www.gnu.org/licenses/gpl-2.0.txt

This plugin provides integration of KigoKasa service with WooCommerce webshop.

## Description

KigoKasa plugin will integrate with your checkout process in WooCommerce webshop, and will send the API request with
the order details to the KigoKasa service, creating invoice/offer with Croatian fiscalization options.

For more information about the KigoKasa API visit this link: https://trgovina.kigoserver.com/apidoc/index.html

More about Kigo Service visit links:
* https://www.symmetria.hr/kigokasa-api-for-woocommerce/
* https://kigokasa.hr

## Installation

### Install & Activate

Installing the plugin is easy. Just follow these steps:

**Installing from WordPress repository:**

Be sure you have WooCommerce plugin installed first, otherwise you'll get an error on the plugin activation.

1. From the dashboard of your site, navigate to Plugins --> Add New.
2. In the Search type KigoKasa Api for WooCommerce
3. Click Install Now
4. When it's finished, activate the plugin via the prompt. A message will show confirming activation was successful.

**Uploading the .zip file:**

1. From the dashboard of your site, navigate to Plugins --> Add New.
2. Select the Upload option and hit "Choose File."
3. When the popup appears select the kigokasa-api-for-woocommerce.x.x.x.zip file from your desktop. (The 'x.x.x' will change depending on the current version number).
4. Follow the on-screen instructions and wait as the upload completes.
5. When it's finished, activate the plugin via the prompt. A message will show confirming activation was successful.

### Requirements

* PHP 5.6 or greater (recommended: PHP 7 or greater)
* WordPress 4.4 or above (because of the built in REST interface)

## Changelog


### 1.2.5

* Fix customer note on order (now sending customer note to KigoKasa API)

### 1.2.4

* Add support for product prices without tax (adding taxes on product price before sending them to KigoKasa API)
* Add support for WC up to 7.7.x and WP up to 6.2

### 1.2.3

* Fix no-taxes (zero tax) on coupons

### 1.2.2

* Fix tax on coupons

### 1.2.1

* Add support for taxable shipping (now including shipping tax value)

### 1.2.0

* Add support for woocommerce coupons

### 1.1.1

* Add support for 'item_name' and 'item_tax' properties on KigoKasa item(s) when item is not found by provided reference
* Add support for OIB (VAT number) with letters, so KigoKasa invoice/offer will hide OIB prefix and show only client name

### 1.1.0

* Add support for WC up to 5.8.x and WP up to 5.8

### 1.0.0

* Initial release